package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF930 extends MwfRequest<MWF930, MWF930Response> {

    @Parameter(name = "DatumDo")
    MWF930 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWF930 datumOd(java.util.Date datumOd);
    @Parameter(name = "ISIN")
    MWF930 isin(String isin);
    @Parameter(name = "PocetIntervaluVystupu")
    MWF930 pocetIntervaluVystupu(Long pocetIntervaluVystupu);
    @Parameter(name = "PozadovanaHodnota")
    MWF930 pozadovanaHodnota(String pozadovanaHodnota);
    @Parameter(name = "TypPeriody")
    MWF930 typPeriody(String typPeriody);
}
